OBJS += \
    libasf/asf \
    libasf/byteio \
    libasf/data \
    libasf/fileio \
    libasf/guid \
    libasf/header \
    libasf/parse \
    ice_streamer \
    frost_basicstring \
    frost_node \
    frost_mem \
	frost_str \
	frost_list \
	frost_tree \
	frost_hash_table \
	frost_queue \
	frost_mem \
	frost_circular_buffer \
	ice_streamer_asf \
	ice_streamer_curl_http \
	ice_streamer_disk_write_output_plugin \
	ice_streamer_downloader \
	ice_streamer_handler \
	ice_streamer_handler_plugin \
	ice_streamer_mstar_output_plugin \
	ice_streamer_object \
	ice_streamer_outputplugin \
	ice_streamer_plugin \
	ice_streamer_ringbuf_handler \
	ice_streamer_ringbuf \
	ice_streamer_utils \
	ice_streamer_value \
	ice_streamer_magic \
	ice_streamer_external_streamer \
	ice_streamer
	
COMPONENT_INCLUDES += \
ice \
frost \
ice_streamer \
ice_streamer/libasf \
ice_product_mstar/mstar/bsp/A1/include \
ice_product_mstar \
ice_product_mstar/mstar/include \
ice_product_mstar/mstar/mapi/include \
ice_product_mstar/mstar/device/board \
ice_product_mstar/mstar/device/board/av_port \
ice_product_mstar/mstar/mapi \
ice_product_mstar/mstar/mbrg/include \
ice_product_mstar/mstar/mbrg/output_sources/include \
ice_product_mstar/mstar/mbrg/input_sources/include \
ice_product_mstar/mstar/mbrg/photo/include \
ice_product_mstar/mstar/mbrg/mp3/include \
ice_product_mstar/mstar/mbrg/multimedia/include \
ice_product_mstar/mstar/mapi/osd/include \
ice_product_mstar/mstar/mapi/ir/include \
ice_product_mstar/mstar/mapi/photo/include \
ice_product_mstar/mstar/mapi/multimedia/include \
ice_product_mstar/mstar/mapi/mp3/include \
ice_product_mstar/mstar/device/ir \
ice_product_mstar/mstar/device/keypad \
ice_product_mstar/mstar/device/ir/include \
ice_product_mstar/mstar/device/cofdm/module \
ice_product_mstar/mstar/device/qpsk/module/Montage \
ice_product_mstar/mstar/device/cofdm  \
ice_product_mstar/mstar/device/qpsk  \
ice_product_mstar/mstar/device/include  \
ice_product_mstar/mstar/device/if_demodulator  \
ice_product_mstar/mstar/device/if_demodulator/module  \
ice_product_mstar/mstar/device/hdmiswitch \
ice_product_mstar/mstar/device/hdmiswitch/module \
ice_product_mstar/mstar/device/memc/module \
ice_product_mstar/mstar/device/memc \
ice_product_mstar/mstar/mapi/iic/include \
ice_product_mstar/mstar/device/panel/include \
ice_product_mstar/mstar/device/tuner \
ice_product_mstar/mstar/device/tuner/module \
ice_product_mstar/mstar/device/tuner/module/nutune_tda18273 \
ice_product_mstar/mstar/mapi/ir/include \
ice_product_mstar/mstar/mapi/xc/include \
ice_product_mstar/mstar/mapi/xc/hal/s4le/include \
ice_product_mstar/mstar/mapi/avd/include \
ice_product_mstar/mstar/mapi/osd/include \
ice_product_mstar/mstar/mapi/dvr/include \
ice_product_mstar/mstar/mapi/gpio/include \
ice_product_mstar/mstar/mapi/keypad/include \
ice_product_mstar/mstar/mapi/pq/include \
ice_product_mstar/mstar/polarssl/include \
ice_product_mstar/bget \
ice_product_mstar/dlmalloc \
ice_product_mstar/ciplus/llp_test \
ice_product_mstar/mstar/mapi/flash/include \
ice_product_mstar/pixellence \
ice_product_mstar/ntp80xx \
ice_product_mstar/mstar/font/include \
profile_helper

COMPONENT_CFLAGS += -fvisibility=hidden -D'_DEBUG_V'
COMPONENT_CXXFLAGS += -fvisibility=hidden -D'_DEBUG_V'